﻿<UserControl x:Class="VECTO3GUI.Views.CustomControls.CheckboxParameter"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:VECTO3GUI.Views.CustomControls"
             mc:Ignorable="d" 
             d:DesignHeight="30" d:DesignWidth="300" d:DataContext="{d:DesignInstance {x:Type local:CheckboxParameter}}">
    <Grid Margin="5">
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="Auto" SharedSizeGroup="{Binding CaptionWidthGroup}"/>
            <ColumnDefinition Width="*"/>
            <ColumnDefinition Width="Auto" SharedSizeGroup="{Binding UnitWidthGroup}"/>
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto"/>
        </Grid.RowDefinitions>
        <TextBlock Grid.Row="0" Grid.Column="0" Text="{Binding Caption}" Margin="0,0,10,0"/>
        <CheckBox Grid.Column="1" 
                  Margin="20,0,0,0"
                  IsChecked="{Binding Value}"/>
        <TextBlock Grid.Row="0" Grid.Column="2" Text="{Binding Unit}" Margin="5,0,5,0"/>
    </Grid>
</UserControl>
